Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class SerializableToBlobType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.AbstractLobType
              org.hibernate.type.SerializableToBlobType

All Implemented Interfaces:
  Serializable, org.hibernate.type.Type, org.hibernate.usertype.ParameterizedType

    public class SerializableToBlobType

extends AbstractLobType
implements org.hibernate.usertype.ParameterizedType

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary
`static String` | `CLASS_NAME` class name of the serialisable class

Constructor Summary
`SerializableToBlobType()`

Method Summary
`Object` | `deepCopy(Object value, org.hibernate.EntityMode entityMode, org.hibernate.engine.SessionFactoryImplementor factory)`
`Object` | `fromXMLNode(org.dom4j.Node xml, org.hibernate.engine.Mapping factory)`
`Object` | `get(ResultSet rs, String name)`
`int` | `getHashCode(Object x, org.hibernate.EntityMode entityMode, org.hibernate.engine.SessionFactoryImplementor session)`
`Class` | `getReturnedClass()`
`boolean` | `isEqual(Object x, Object y, org.hibernate.EntityMode entityMode, org.hibernate.engine.SessionFactoryImplementor factory)`
`boolean` | `isMutable()`
`Object` | `replace(Object original, Object target, org.hibernate.engine.SessionImplementor session, Object owner, Map copyCache)`
`void` | `set(PreparedStatement st, Object value, int index, org.hibernate.engine.SessionImplementor session)`
`void` | `setParameterValues(Properties parameters)`
`void` | `setToXMLNode(org.dom4j.Node node, Object value, org.hibernate.engine.SessionFactoryImplementor factory)`
`int[]` | `sqlTypes(org.hibernate.engine.Mapping mapping)`
`boolean[]` | `toColumnNullness(Object value, org.hibernate.engine.Mapping mapping)`
`String` | `toLoggableString(Object value, org.hibernate.engine.SessionFactoryImplementor factory)`

Methods inherited from class org.hibernate.type.AbstractLobType
`getColumnSpan, getHashCode, getName, isDirty, isEqual, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    public static final String CLASS_NAME

  class name of the serialisable class

  See Also:
    Constant Field Values

Constructor Detail

### SerializableToBlobType

    public SerializableToBlobType()

Method Detail

### sqlTypes

    public int[] sqlTypes(org.hibernate.engine.Mapping mapping)
                   throws org.hibernate.MappingException

  Specified by:
    `sqlTypes` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.MappingException`

### getReturnedClass

    public Class getReturnedClass()

  Specified by:
    `getReturnedClass` in interface `org.hibernate.type.Type`

### isEqual

    public boolean isEqual(Object x,
                           Object y,
                           org.hibernate.EntityMode entityMode,
                           org.hibernate.engine.SessionFactoryImplementor factory)

  Specified by:
    `isEqual` in interface `org.hibernate.type.Type`
  Overrides:
    `isEqual` in class `org.hibernate.type.AbstractType`

### getHashCode

    public int getHashCode(Object x,
                           org.hibernate.EntityMode entityMode,
                           org.hibernate.engine.SessionFactoryImplementor session)

  Specified by:
    `getHashCode` in interface `org.hibernate.type.Type`
  Overrides:
    `getHashCode` in class `org.hibernate.type.AbstractType`

### get

    public Object get(ResultSet rs,
                      String name)
               throws SQLException

  Specified by:
    `get` in class `AbstractLobType`
  Throws:
    `SQLException`

### set

    public void set(PreparedStatement st,
                    Object value,
                    int index,
                    org.hibernate.engine.SessionImplementor session)
             throws SQLException

  Specified by:
    `set` in class `AbstractLobType`
  Throws:
    `SQLException`

### setToXMLNode

    public void setToXMLNode(org.dom4j.Node node,
                             Object value,
                             org.hibernate.engine.SessionFactoryImplementor factory)
                      throws org.hibernate.HibernateException

  Specified by:
    `setToXMLNode` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`

### toLoggableString

    public String toLoggableString(Object value,
                                   org.hibernate.engine.SessionFactoryImplementor factory)
                            throws org.hibernate.HibernateException

  Specified by:
    `toLoggableString` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`

### fromXMLNode

    public Object fromXMLNode(org.dom4j.Node xml,
                              org.hibernate.engine.Mapping factory)
                       throws org.hibernate.HibernateException

  Specified by:
    `fromXMLNode` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`

### deepCopy

    public Object deepCopy(Object value,
                           org.hibernate.EntityMode entityMode,
                           org.hibernate.engine.SessionFactoryImplementor factory)
                    throws org.hibernate.HibernateException

  Specified by:
    `deepCopy` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `org.hibernate.type.Type`

### replace

    public Object replace(Object original,
                          Object target,
                          org.hibernate.engine.SessionImplementor session,
                          Object owner,
                          Map copyCache)
                   throws org.hibernate.HibernateException

  Specified by:
    `replace` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`

### toColumnNullness

    public boolean[] toColumnNullness(Object value,
                                      org.hibernate.engine.Mapping mapping)

  Specified by:
    `toColumnNullness` in interface `org.hibernate.type.Type`

### setParameterValues

    public void setParameterValues(Properties parameters)

  Specified by:
    `setParameterValues` in interface `org.hibernate.usertype.ParameterizedType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD